Skip to main content

Cost Estimate Analyzer

Pricing and cost-estimation endpoints — per-resource hourly costs, offering plans, taxes, support plans, currencies and catalog lookups used to build cost estimates.

Resource base path: /restapi/costestimate

MethodPathDescription
GET/restapi/costestimate/getpublickeyGet Public Key
GET/restapi/costestimate/multicurrencyMultiCurrency
GET/restapi/costestimate/zone-listZone List
GET/restapi/costestimate/service-listService List
GET/restapi/costestimate/compute-plan-typesCompute Plan Types
GET/restapi/costestimate/compute-category-listCompute Category List
GET/restapi/costestimate/compute-plan-listCompute Offering Cost
GET/restapi/costestimate/storage-category-listStorage Category List
GET/restapi/costestimate/storage-plan-listStorage Plan List
GET/restapi/costestimate/networkoffering-listNetwork Offering List
GET/restapi/costestimate/vpcoffering-listVPC Offering List
GET/restapi/costestimate/template-platform-listTemplate Platform List
GET/restapi/costestimate/template-distribution-listTemplate Distribution List
GET/restapi/costestimate/template-category-listTemplate Category List
GET/restapi/costestimate/template-listTemplate List
GET/restapi/costestimate/kubernetes-version-listKubernetes Version
GET/restapi/costestimate/ip-costIP Address Cost
GET/restapi/costestimate/portforwarding-costPort Forwarding Cost
GET/restapi/costestimate/loadbalancer-costLoad Balancer Cost
GET/restapi/costestimate/vpn-user-costVPN User Cost
GET/restapi/costestimate/snapshot-costSnapshot Cost
GET/restapi/costestimate/vm-snapshot-costVM Snapshot Cost
GET/restapi/costestimate/vm-scheduler-costVM Scheduler Cost
GET/restapi/costestimate/k8s-costKubernetes Cost
GET/restapi/costestimate/bandwidth-costBandwidth Cost
GET/restapi/costestimate/object-storage-costObject Storage Cost
GET/restapi/costestimate/additional-template-resize-costAdditional Template Resize Cost
GET/restapi/costestimate/list-sfs-storage-offeringsList SFS Storage Offerings
GET/restapi/costestimate/list-all-support-categorySupport Plan Categories
GET/restapi/costestimate/list-all-support-plansSupport Plans
GET/restapi/costestimate/taxTax
note

apikey and secretkey are required HTTP headers on every request and are omitted from the parameter tables below. See Authentication.


Get Public Key​

Retrieve the public API key pair used to sign cost-estimate requests.

GET /restapi/costestimate/getpublickey

Example request​

curl -X GET \
"https://portal.your-domain.com/restapi/costestimate/getpublickey" \

Responses​

CodeDescription
200Successful operation.
401Invalid authentication credentials.
550Permission denied.
{
"apiKey": "string",
"secretKey": "string"
}

MultiCurrency​

MultiCurrency.

GET /restapi/costestimate/multicurrency

Example request​

curl -X GET \
"https://portal.your-domain.com/restapi/costestimate/multicurrency" \
-H "apikey: YOUR_API_KEY" \
-H "secretkey: YOUR_SECRET_KEY"

Responses​

CodeDescription
200Successful operation.
401Invalid authentication credentials.
550Permission denied.
{
"organizationName": "example-name",
"count": 1,
"listMultiCurrency": [
{
"isDefaultCurrency": "USD",
"cost": 0.0,
"currencySymbol": "string",
"currency": "USD",
"uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
}
]
}

Zone List​

Zone List.

GET /restapi/costestimate/zone-list

Example request​

curl -X GET \
"https://portal.your-domain.com/restapi/costestimate/zone-list" \
-H "apikey: YOUR_API_KEY" \
-H "secretkey: YOUR_SECRET_KEY"

Responses​

CodeDescription
200Successful operation.
401Invalid authentication credentials.
550Permission denied.
{
"count": 1,
"listZoneResponse": [
{
"imageFlag": "string",
"name": "example-name",
"countryName": "example-name",
"isActive": true,
"uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
}
]
}

Service List​

Service List.

GET /restapi/costestimate/service-list

Parameters​

ParameterInTypeRequiredDescription
languageUuidquerystring✅ Yes

Example request​

curl -X GET \
"https://portal.your-domain.com/restapi/costestimate/service-list?languageUuid=a1b2c3d4-e5f6-7890-abcd-ef1234567890" \
-H "apikey: YOUR_API_KEY" \
-H "secretkey: YOUR_SECRET_KEY"

Responses​

CodeDescription
200Successful operation.
401Invalid authentication credentials.
550Permission denied.
{
"count": 1,
"serviceCategoryList": [
{
"name": "example-name",
"uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"resourceList": [
{}
]
}
]
}

Compute Plan Types​

Compute Plan Types.

GET /restapi/costestimate/compute-plan-types

Example request​

curl -X GET \
"https://portal.your-domain.com/restapi/costestimate/compute-plan-types" \
-H "apikey: YOUR_API_KEY" \
-H "secretkey: YOUR_SECRET_KEY"

Responses​

CodeDescription
200Successful operation.
401Invalid authentication credentials.
550Permission denied.
{
"count": 1,
"computePlanTypeList": [
{
"payAsYouGoOfferingCost": [
{}
],
"displayName": "example-name",
"customOfferingCost": [
{}
],
"reservedOfferingCost": [
{}
],
"bundleOfferingCost": [
{}
],
"key": "string"
}
]
}

Compute Category List​

Compute Category List.

GET /restapi/costestimate/compute-category-list

Parameters​

ParameterInTypeRequiredDescription
zoneUuidquerystring✅ YesUUID of the zone the resource belongs to.

Example request​

curl -X GET \
"https://portal.your-domain.com/restapi/costestimate/compute-category-list?zoneUuid=a1b2c3d4-e5f6-7890-abcd-ef1234567890" \
-H "apikey: YOUR_API_KEY" \
-H "secretkey: YOUR_SECRET_KEY"

Responses​

CodeDescription
200Successful operation.
401Invalid authentication credentials.
550Permission denied.
{
"listComputeOfferingCategory": [
{
"name": "example-name",
"description": "string",
"planTypes": [
{}
],
"uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
}
],
"count": 1
}

Compute Offering Cost​

Compute Offering Cost.

GET /restapi/costestimate/compute-plan-list

Parameters​

ParameterInTypeRequiredDescription
computeOfferingTypequerystring✅ YesOne of: PAY_AS_YOU_GO, BUNDLE_OFFER, RESERVED_INSTANCE, CUSTOM_PLAN.
categoryUuidquerystringNo
zoneUuidquerystring✅ YesUUID of the zone the resource belongs to.

Example request​

curl -X GET \
"https://portal.your-domain.com/restapi/costestimate/compute-plan-list?computeOfferingType=VALUE&zoneUuid=a1b2c3d4-e5f6-7890-abcd-ef1234567890" \
-H "apikey: YOUR_API_KEY" \
-H "secretkey: YOUR_SECRET_KEY"

Responses​

CodeDescription
200Successful operation.
401Invalid authentication credentials.
550Permission denied.
{
"payAsYouGoOfferingCost": [
{
"instanceRunningCostVcpu": 0.0,
"memory": 0.0,
"instanceRunningCostMemory": 0.0,
"cpuMax": 1,
"uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"core": 1,
"categoryUuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"setupCost": 0.0,
"clockSpeed": 1,
"name": "example-name",
"isCustom": true,
"instanceStoppageCostMemory": 0.0,
"instanceStoppageCostVcpu": 0.0
}
],
"count": 1,
"reservedOfferingCost": [
{
"core": 1,
"categoryUuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"memory": 0.0,
"clockSpeed": 1,
"name": "example-name",
"offeringPlans": [
{}
],
"uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
}
],
"bundleOfferingCost": [
{
"core": 1,
"categoryUuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"memory": 0.0,
"clockSpeed": 1,
"bandwidth": 1,
"diskSpace": 1,
"name": "example-name",
"ipAddress": 1,
"uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"bundlePlan": [
{}
]
}
]
}

Storage Category List​

Storage Category List.

GET /restapi/costestimate/storage-category-list

Parameters​

ParameterInTypeRequiredDescription
zoneUuidquerystring✅ YesUUID of the zone the resource belongs to.

Example request​

curl -X GET \
"https://portal.your-domain.com/restapi/costestimate/storage-category-list?zoneUuid=a1b2c3d4-e5f6-7890-abcd-ef1234567890" \
-H "apikey: YOUR_API_KEY" \
-H "secretkey: YOUR_SECRET_KEY"

Responses​

CodeDescription
200Successful operation.
401Invalid authentication credentials.
550Permission denied.
{
"listCategory": [
{
"name": "example-name",
"description": "string",
"listStorageCost": [
{}
],
"uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
}
],
"count": 1
}

Storage Plan List​

Storage Plan List.

GET /restapi/costestimate/storage-plan-list

Parameters​

ParameterInTypeRequiredDescription
categoryUuidquerystringNo
zoneUuidquerystring✅ YesUUID of the zone the resource belongs to.

Example request​

curl -X GET \
"https://portal.your-domain.com/restapi/costestimate/storage-plan-list?zoneUuid=a1b2c3d4-e5f6-7890-abcd-ef1234567890" \
-H "apikey: YOUR_API_KEY" \
-H "secretkey: YOUR_SECRET_KEY"

Responses​

CodeDescription
200Successful operation.
401Invalid authentication credentials.
550Permission denied.
{
"count": 1,
"listStorageCost": [
{
"costForGb": 0.0,
"categoryUuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"diskSize": 1,
"name": "example-name",
"isCustom": true,
"customCostPerGb": 0.0,
"uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
}
]
}

Network Offering List​

Network Offering List.

GET /restapi/costestimate/networkoffering-list

Parameters​

ParameterInTypeRequiredDescription
zoneUuidquerystring✅ YesUUID of the zone the resource belongs to.

Example request​

curl -X GET \
"https://portal.your-domain.com/restapi/costestimate/networkoffering-list?zoneUuid=a1b2c3d4-e5f6-7890-abcd-ef1234567890" \
-H "apikey: YOUR_API_KEY" \
-H "secretkey: YOUR_SECRET_KEY"

Responses​

CodeDescription
200Successful operation.
401Invalid authentication credentials.
550Permission denied.
{
"listOfferingCost": [
{
"displayText": "string",
"cost": 0.0,
"name": "example-name",
"haCost": 0.0,
"type": "string",
"uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"totalCost": 0.0
}
],
"count": 1
}

VPC Offering List​

VPC Offering List.

GET /restapi/costestimate/vpcoffering-list

Parameters​

ParameterInTypeRequiredDescription
zoneUuidquerystring✅ YesUUID of the zone the resource belongs to.

Example request​

curl -X GET \
"https://portal.your-domain.com/restapi/costestimate/vpcoffering-list?zoneUuid=a1b2c3d4-e5f6-7890-abcd-ef1234567890" \
-H "apikey: YOUR_API_KEY" \
-H "secretkey: YOUR_SECRET_KEY"

Responses​

CodeDescription
200Successful operation.
401Invalid authentication credentials.
550Permission denied.
{
"vpcOfferingCost": [
{
"cost": 0.0,
"name": "example-name",
"haCost": 0.0,
"uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"totalCost": 0.0
}
],
"count": 1
}

Template Platform List​

Template Platform List.

GET /restapi/costestimate/template-platform-list

Example request​

curl -X GET \
"https://portal.your-domain.com/restapi/costestimate/template-platform-list" \
-H "apikey: YOUR_API_KEY" \
-H "secretkey: YOUR_SECRET_KEY"

Responses​

CodeDescription
200Successful operation.
401Invalid authentication credentials.
550Permission denied.
{
"count": 1,
"templatePlatformList": [
{
"displayName": "example-name",
"key": "string"
}
]
}

Template Distribution List​

Template Distribution List.

GET /restapi/costestimate/template-distribution-list

Example request​

curl -X GET \
"https://portal.your-domain.com/restapi/costestimate/template-distribution-list" \
-H "apikey: YOUR_API_KEY" \
-H "secretkey: YOUR_SECRET_KEY"

Responses​

CodeDescription
200Successful operation.
401Invalid authentication credentials.
550Permission denied.
{
"count": 1,
"templateDistributionList": [
{
"displayName": "example-name",
"key": "string"
}
]
}

Template Category List​

Template Category List.

GET /restapi/costestimate/template-category-list

Parameters​

ParameterInTypeRequiredDescription
platformquerystring✅ YesLINUX or WINDOWS.
distributionquerystring✅ YesOS_ONLY or MARKETPLACE.
zoneUuidquerystring✅ YesUUID of the zone the resource belongs to.

Example request​

curl -X GET \
"https://portal.your-domain.com/restapi/costestimate/template-category-list?platform=VALUE&distribution=VALUE&zoneUuid=a1b2c3d4-e5f6-7890-abcd-ef1234567890" \
-H "apikey: YOUR_API_KEY" \
-H "secretkey: YOUR_SECRET_KEY"

Responses​

CodeDescription
200Successful operation.
401Invalid authentication credentials.
550Permission denied.
{
"count": 1,
"templateCategoryList": [
{
"categoryType": "string",
"imageName": "example-name",
"templates": [
{}
],
"name": "example-name",
"uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
}
]
}

Template List​

Template List.

GET /restapi/costestimate/template-list

Parameters​

ParameterInTypeRequiredDescription
platformquerystring✅ YesLINUX or WINDOWS.
distributionquerystring✅ YesOS_ONLY or MARKETPLACE.
categoryUuidquerystringNo
zoneUuidquerystring✅ YesUUID of the zone the resource belongs to.

Example request​

curl -X GET \
"https://portal.your-domain.com/restapi/costestimate/template-list?platform=VALUE&distribution=VALUE&zoneUuid=a1b2c3d4-e5f6-7890-abcd-ef1234567890" \
-H "apikey: YOUR_API_KEY" \
-H "secretkey: YOUR_SECRET_KEY"

Responses​

CodeDescription
200Successful operation.
401Invalid authentication credentials.
550Permission denied.
{
"listTemplateCost": [
{
"categoryUuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"imageName": "example-name",
"cost": 0.0,
"size": 1,
"name": "example-name",
"enablePerCoreLicense": true,
"minimumMemory": 1,
"minimumRootdisk": 1,
"uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"minimumCore": 1,
"licensePerCoreCost": 0.0
}
],
"count": 1
}

Kubernetes Version​

Kubernetes Version.

GET /restapi/costestimate/kubernetes-version-list

Parameters​

ParameterInTypeRequiredDescription
zoneUuidquerystring✅ YesUUID of the zone the resource belongs to.

Example request​

curl -X GET \
"https://portal.your-domain.com/restapi/costestimate/kubernetes-version-list?zoneUuid=a1b2c3d4-e5f6-7890-abcd-ef1234567890" \
-H "apikey: YOUR_API_KEY" \
-H "secretkey: YOUR_SECRET_KEY"

Responses​

CodeDescription
200Successful operation.
401Invalid authentication credentials.
550Permission denied.
{
"count": 1,
"listKubernetesVersion": [
{
"minMemory": 1,
"name": "example-name",
"description": "string",
"isActive": true,
"uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"minCpuNumber": 1
}
]
}

IP Address Cost​

IP Address Cost.

GET /restapi/costestimate/ip-cost

Parameters​

ParameterInTypeRequiredDescription
zoneUuidquerystring✅ YesUUID of the zone the resource belongs to.

Example request​

curl -X GET \
"https://portal.your-domain.com/restapi/costestimate/ip-cost?zoneUuid=a1b2c3d4-e5f6-7890-abcd-ef1234567890" \
-H "apikey: YOUR_API_KEY" \
-H "secretkey: YOUR_SECRET_KEY"

Responses​

CodeDescription
200Successful operation.
401Invalid authentication credentials.
550Permission denied.
{
"ipCost": 0.0
}

Port Forwarding Cost​

Port Forwarding Cost.

GET /restapi/costestimate/portforwarding-cost

Parameters​

ParameterInTypeRequiredDescription
zoneUuidquerystring✅ YesUUID of the zone the resource belongs to.

Example request​

curl -X GET \
"https://portal.your-domain.com/restapi/costestimate/portforwarding-cost?zoneUuid=a1b2c3d4-e5f6-7890-abcd-ef1234567890" \
-H "apikey: YOUR_API_KEY" \
-H "secretkey: YOUR_SECRET_KEY"

Responses​

CodeDescription
200Successful operation.
401Invalid authentication credentials.
550Permission denied.
{
"portForwardCost": 0.0
}

Load Balancer Cost​

Load Balancer Cost.

GET /restapi/costestimate/loadbalancer-cost

Parameters​

ParameterInTypeRequiredDescription
zoneUuidquerystring✅ YesUUID of the zone the resource belongs to.

Example request​

curl -X GET \
"https://portal.your-domain.com/restapi/costestimate/loadbalancer-cost?zoneUuid=a1b2c3d4-e5f6-7890-abcd-ef1234567890" \
-H "apikey: YOUR_API_KEY" \
-H "secretkey: YOUR_SECRET_KEY"

Responses​

CodeDescription
200Successful operation.
401Invalid authentication credentials.
550Permission denied.
{
"loadBalancerCost": 0.0
}

VPN User Cost​

VPN User Cost.

GET /restapi/costestimate/vpn-user-cost

Example request​

curl -X GET \
"https://portal.your-domain.com/restapi/costestimate/vpn-user-cost" \
-H "apikey: YOUR_API_KEY" \
-H "secretkey: YOUR_SECRET_KEY"

Responses​

CodeDescription
200Successful operation.
401Invalid authentication credentials.
550Permission denied.
{
"vpnUserCost": 0.0
}

Snapshot Cost​

Snapshot Cost.

GET /restapi/costestimate/snapshot-cost

Parameters​

ParameterInTypeRequiredDescription
zoneUuidquerystring✅ YesUUID of the zone the resource belongs to.

Example request​

curl -X GET \
"https://portal.your-domain.com/restapi/costestimate/snapshot-cost?zoneUuid=a1b2c3d4-e5f6-7890-abcd-ef1234567890" \
-H "apikey: YOUR_API_KEY" \
-H "secretkey: YOUR_SECRET_KEY"

Responses​

CodeDescription
200Successful operation.
401Invalid authentication credentials.
550Permission denied.
{
"snapshotCost": 0.0
}

VM Snapshot Cost​

VM Snapshot Cost.

GET /restapi/costestimate/vm-snapshot-cost

Parameters​

ParameterInTypeRequiredDescription
zoneUuidquerystring✅ YesUUID of the zone the resource belongs to.

Example request​

curl -X GET \
"https://portal.your-domain.com/restapi/costestimate/vm-snapshot-cost?zoneUuid=a1b2c3d4-e5f6-7890-abcd-ef1234567890" \
-H "apikey: YOUR_API_KEY" \
-H "secretkey: YOUR_SECRET_KEY"

Responses​

CodeDescription
200Successful operation.
401Invalid authentication credentials.
550Permission denied.
{
"vmSnapshotCost": 0.0
}

VM Scheduler Cost​

VM Scheduler Cost.

GET /restapi/costestimate/vm-scheduler-cost

Parameters​

ParameterInTypeRequiredDescription
zoneUuidquerystring✅ YesUUID of the zone the resource belongs to.

Example request​

curl -X GET \
"https://portal.your-domain.com/restapi/costestimate/vm-scheduler-cost?zoneUuid=a1b2c3d4-e5f6-7890-abcd-ef1234567890" \
-H "apikey: YOUR_API_KEY" \
-H "secretkey: YOUR_SECRET_KEY"

Responses​

CodeDescription
200Successful operation.
401Invalid authentication credentials.
550Permission denied.
{
"vmSchedulerCost": 0.0
}

Kubernetes Cost​

Kubernetes Cost.

GET /restapi/costestimate/k8s-cost

Parameters​

ParameterInTypeRequiredDescription
zoneUuidquerystring✅ YesUUID of the zone the resource belongs to.

Example request​

curl -X GET \
"https://portal.your-domain.com/restapi/costestimate/k8s-cost?zoneUuid=a1b2c3d4-e5f6-7890-abcd-ef1234567890" \
-H "apikey: YOUR_API_KEY" \
-H "secretkey: YOUR_SECRET_KEY"

Responses​

CodeDescription
200Successful operation.
401Invalid authentication credentials.
550Permission denied.
{
"kubernetesRootDiskResizeCost": 0.0,
"clusterVersionCost": 0.0
}

Bandwidth Cost​

Bandwidth Cost.

GET /restapi/costestimate/bandwidth-cost

Parameters​

ParameterInTypeRequiredDescription
zoneUuidquerystring✅ YesUUID of the zone the resource belongs to.

Example request​

curl -X GET \
"https://portal.your-domain.com/restapi/costestimate/bandwidth-cost?zoneUuid=a1b2c3d4-e5f6-7890-abcd-ef1234567890" \
-H "apikey: YOUR_API_KEY" \
-H "secretkey: YOUR_SECRET_KEY"

Responses​

CodeDescription
200Successful operation.
401Invalid authentication credentials.
550Permission denied.
{
"sendFreeBandwidthLimit": 0.0,
"receivedFreeBandwidthLimit": 0.0,
"receivedBandwidthCost": 0.0,
"sendBandwidthCost": 0.0
}

Object Storage Cost​

Object Storage Cost.

GET /restapi/costestimate/object-storage-cost

Example request​

curl -X GET \
"https://portal.your-domain.com/restapi/costestimate/object-storage-cost" \
-H "apikey: YOUR_API_KEY" \
-H "secretkey: YOUR_SECRET_KEY"

Responses​

CodeDescription
200Successful operation.
401Invalid authentication credentials.
550Permission denied.
{
"freeStorageLimitGbPerMonth": 1,
"additionalBandwidthCostPerGb": 0.0,
"planName": "example-name",
"costPerMonth": 0.0,
"additionalStorageCostPerGb": 0.0,
"freeBandwidthLimitGbPerMonth": 1
}

Additional Template Resize Cost​

Additional Template Resize Cost.

GET /restapi/costestimate/additional-template-resize-cost

Parameters​

ParameterInTypeRequiredDescription
zoneUuidquerystring✅ YesUUID of the zone the resource belongs to.

Example request​

curl -X GET \
"https://portal.your-domain.com/restapi/costestimate/additional-template-resize-cost?zoneUuid=a1b2c3d4-e5f6-7890-abcd-ef1234567890" \
-H "apikey: YOUR_API_KEY" \
-H "secretkey: YOUR_SECRET_KEY"

Responses​

CodeDescription
200Successful operation.
401Invalid authentication credentials.
550Permission denied.
{
"userTemplateResizeCost": 0.0,
"windowsResizeTemplateCost": 0.0,
"linuxResizeTemplateCost": 0.0
}

List SFS Storage Offerings​

List SFS Storage Offerings.

GET /restapi/costestimate/list-sfs-storage-offerings

Parameters​

ParameterInTypeRequiredDescription
zoneUuidquerystring✅ YesUUID of the zone the resource belongs to.

Example request​

curl -X GET \
"https://portal.your-domain.com/restapi/costestimate/list-sfs-storage-offerings?zoneUuid=a1b2c3d4-e5f6-7890-abcd-ef1234567890" \
-H "apikey: YOUR_API_KEY" \
-H "secretkey: YOUR_SECRET_KEY"

Responses​

CodeDescription
200Successful operation.
401Invalid authentication credentials.
550Permission denied.
[
{
"costPerGb": 0.0,
"diskMax": 0.0,
"diskMin": 0.0,
"name": "example-name"
}
]

Support Plan Categories​

Support Plan Categories.

GET /restapi/costestimate/list-all-support-category

Parameters​

ParameterInTypeRequiredDescription
languageIdqueryinteger (int64)✅ Yes

Example request​

curl -X GET \
"https://portal.your-domain.com/restapi/costestimate/list-all-support-category?languageId=VALUE" \
-H "apikey: YOUR_API_KEY" \
-H "secretkey: YOUR_SECRET_KEY"

Responses​

CodeDescription
200Successful operation.
401Invalid authentication credentials.
550Permission denied.
[
{
"name": "example-name",
"uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
}
]

Support Plans​

Support Plans.

GET /restapi/costestimate/list-all-support-plans

Parameters​

ParameterInTypeRequiredDescription
languageIdqueryinteger (int64)✅ Yes

Example request​

curl -X GET \
"https://portal.your-domain.com/restapi/costestimate/list-all-support-plans?languageId=VALUE" \
-H "apikey: YOUR_API_KEY" \
-H "secretkey: YOUR_SECRET_KEY"

Responses​

CodeDescription
200Successful operation.
401Invalid authentication credentials.
550Permission denied.
[
{
"price": 0.0,
"name": "example-name",
"description": "string",
"categories": [
{
"name": "example-name",
"description": "string"
}
]
}
]

Tax​

Tax.

GET /restapi/costestimate/tax

Example request​

curl -X GET \
"https://portal.your-domain.com/restapi/costestimate/tax" \
-H "apikey: YOUR_API_KEY" \
-H "secretkey: YOUR_SECRET_KEY"

Responses​

CodeDescription
200Successful operation.
401Invalid authentication credentials.
550Permission denied.
{
"taxResponse": [
{
"taxPercentage": 0.0,
"name": "example-name",
"organizationTax": 0.0,
"individualTax": 0.0
}
]
}